For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all vendors
        • GETGet vendor by ID
        • GETGet all vendors by property ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineVendors

Get all vendors

GET
/v1/vendors/
GET
/v1/vendors/
$curl https://api.propexo.com/v1/vendors/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "65",
18 "x_property_id": "87",
19 "x_location_id": null,
20 "account_number": "ACCT-987654",
21 "is_active": true,
22 "name": "Greenfield Maintenance Services",
23 "notes": null,
24 "tax_id": null,
25 "third_party_id": null,
26 "type": "Maintenance",
27 "contacts": [
28 {
29 "address_1": "123 Main St",
30 "address_2": "Suite 400",
31 "city": "Boston",
32 "country": "US",
33 "state": "MA",
34 "zip": "02116",
35 "phone": "+1-617-555-1234",
36 "phone_type": "office",
37 "email": "contact@greenfieldmaintenance.com",
38 "is_primary": true,
39 "name": "John Doe"
40 }
41 ],
42 "custom_data": {},
43 "integration_id": "clwh5u07w000508me66sfh3um",
44 "integration_vendor": "RENTVINE",
45 "property_id": "clwi5xiix000008l6ctdgafyh"
46 }
47 ]
48}
Get all vendors
Was this page helpful?
Previous

Get vendor by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
x_property_idstringOptional
The external ID of the property from the integration vendor
property_idstringOptional
The Propexo unique identifier for the property
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error